<template>
    <div>
        <form @submit="onSubmit">
            <input type="text" v-model="name" placeholder="Name" />
            <input type="text" v-model="address" placeholder="Address" />
            <input type="number" v-model="totalCost" placeholder="Total cost" />
            <input type="submit" value="Submit" />
        </form>
    </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
    name: 'AddMatch',
    methods: {
        ...mapActions(['addMatch']),
        onSubmit(e) {
            e.preventDefault();

            const payload = { name: this.name, address: this.address, totalCost: this.totalCost };
            console.log('on submit...');

            this.addMatch(payload);
        }
    },
    data() {
        return {
            name: '',
            address: '',
            totalCost: 0
        };
    }
};
</script>

<style></style>
